## xdg-user-dirs 0.19

=== meson_options.txt ===
option('docs',
  type: 'boolean',
  value: true,
  description: 'Build documentation'
)

option('nls',
  type: 'boolean',
  value: true,
  description: 'Enable Native Language Support'
)

## xdg-user-dirs 0.12

=== debian/changelog ===
xdg-user-dirs (0.12-1ubuntu1) maverick; urgency=low

  * Resync on Debian
  * debian/patches/90_rosetta_translations_update.patch:
    - updated rosetta translations
  * debian/rules:
    - don't strip translations
    - updated translations template

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 May 2010 23:02:22 +0200

xdg-user-dirs (0.12-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_bashism.patch:
      - Dropped, merged upstream.
  * debian/control.in,
    debian/compat,
    debian/source/format,
    debian/rules:
    + Update Standards-Version to 3.8.4, no additional changes needed.
    + Updating debhelper compat level to 7.
    + Updating to source format 3.0 (quilt).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Mar 2010 17:06:04 +0100

xdg-user-dirs (0.10-1) unstable; urgency=low

  * New upstream bugfix release with many new translations.
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.
    + Move homepage to the Homepage field and fix the URL (Closes: #445898).
  * debian/rules:
    + Add -Wl,-z,defs to LDFLAGS and actually append.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 12 Feb 2008 14:54:52 +0100

xdg-user-dirs (0.9-1) unstable; urgency=low

  * Initial version (Closes: #413817)
  * Thanks to Baptiste Mille-Mathias for the Xsession.d script.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 Oct 2007 15:03:16 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: xdg-user-dirs
Section: utils
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               gnome-pkg-tools
Standards-Version: 3.8.4
Homepage: http://www.freedesktop.org/wiki/Software/xdg-user-dirs

Package: xdg-user-dirs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool to manage well known user directories
 xdg-user-dirs is a tool to help manage "well known" user directories
 like the desktop folder and the music folder. It also handles
 localization (i.e. translation) of the filenames. 
 . 
 The way it works is that xdg-user-dirs-update is run very early in the
 login phase. This program reads a configuration file, and a set of
 default directories. It then creates localized versions of these
 directories in the users home directory and sets up a config file in
 $(XDG_CONFIG_HOME)/user-dirs.dirs (XDG_CONFIG_HOME defaults to
 ~/.config) that applications can read to find these directories.

## xdg-user-dirs 0.13

=== debian/changelog ===
xdg-user-dirs (0.13-2) unstable; urgency=low

  * Add l10n-ca.patch, with Catalan updates.
  * Delete ca.gmo on clean, rebuild it by hand on build.
  * Add Vcs-* headers.
  * Bump Standards-Version to 3.9.1, no changes required.

 -- Jordi Mallach <jordi@debian.org>  Mon, 04 Oct 2010 19:05:27 +0200

xdg-user-dirs (0.13-1) unstable; urgency=low

  * New upstream bugfix release:
    + New translations and a fix for a memory leak.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 15 Sep 2010 10:38:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Source: xdg-user-dirs
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 7),
                gnome-pkg-tools
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.freedesktop.org/wiki/Software/xdg-user-dirs
+Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/xdg-user-dirs/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/xdg-user-dirs/
 
 Package: xdg-user-dirs
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

GNOME_DOWNLOAD_URL = http://user-dirs.freedesktop.org/releases/$(GNOME_TARBALL)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed

binary-post-install/xdg-user-dirs::
	mkdir -p debian/xdg-user-dirs/etc/X11/Xsession.d
	cp debian/xdg-user-dirs-Xsession \
		debian/xdg-user-dirs/etc/X11/Xsession.d/60xdg-user-dirs-update

build/xdg-user-dirs::
	msgfmt -c -o po/ca.gmo po/ca.po

clean::
	rm -f po/ca.gmo

## xdg-user-dirs 0.14

=== debian/changelog ===
xdg-user-dirs (0.14-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8. Update Build-Depends accordingly.
  * debian/rules: Set TARBALL_EXT to tar.gz.
  * debian/patches/l10n-ca.patch: Remove, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sat, 30 Jul 2011 18:17:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Section: utils
 Priority: optional
 Maintainer: Sebastian Dröge <slomo@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
-               debhelper (>= 7),
+               debhelper (>= 8),
                gnome-pkg-tools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.freedesktop.org/wiki/Software/xdg-user-dirs
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/xdg-user-dirs/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/xdg-user-dirs/

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+TARBALL_EXT=tar.gz
 GNOME_DOWNLOAD_URL = http://user-dirs.freedesktop.org/releases/$(GNOME_TARBALL)
 
 include /usr/share/cdbs/1/rules/debhelper.mk

## xdg-user-dirs 0.15

=== debian/changelog ===
xdg-user-dirs (0.15-2ubuntu6) xenial; urgency=medium

  * debian/patches/launchpad_translation_export.patch:
    - update translations from launchpad

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Apr 2016 16:52:23 -0600

xdg-user-dirs (0.15-2ubuntu5) wily; urgency=medium

  * debian/patches/launchpad_translation_export.patch:
    - update translations from launchpad

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Oct 2015 09:52:43 +0100

xdg-user-dirs (0.15-2ubuntu4) vivid; urgency=medium

  * Use the correct po directory and fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Apr 2015 11:26:31 +0200

xdg-user-dirs (0.15-2ubuntu3) vivid; urgency=medium

  * debian/patches/launchpad_translation_export.patch:
    - update translations from launchpad

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Apr 2015 15:53:19 +0200

xdg-user-dirs (0.15-2ubuntu2) utopic; urgency=medium

  * debian/patches/launchpad_translation_export.patch:
    - update translations from launchpad

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Oct 2014 18:00:04 +0200

xdg-user-dirs (0.15-2ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
  * debian/rules:
    - don't strip translations
    - update the translations template

 -- Iain Lane <iain.lane@canonical.com>  Fri, 19 Sep 2014 10:35:27 +0100

xdg-user-dirs (0.15-2) unstable; urgency=medium

  * Make xdg-user-dirs Multi-Arch: foreign as this is a tool which can be run
    on any architecture. (LP: #1371439)

 -- Iain Lane <laney@debian.org>  Fri, 19 Sep 2014 10:17:41 +0100

xdg-user-dirs (0.15-1ubuntu3) trusty; urgency=medium

  * debian/patches/launchpad_translation_export.patch:
    - update translations from launchpad

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Apr 2014 09:35:19 +0200

xdg-user-dirs (0.15-1ubuntu2) saucy; urgency=low

  * debian/patches/launchpad_translation_export.patch:
    - update translations from launchpad

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 04 Oct 2013 11:09:46 +0200

xdg-user-dirs (0.15-1ubuntu1) saucy; urgency=low

  * Resynchronize on Debian, remaining changes:
  * debian/rules:
    - don't strip translations
    - update the translations template

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Jul 2013 10:32:50 +0200

xdg-user-dirs (0.15-1) unstable; urgency=low

  * New upstream release.
    - Updated and new translations, including Croatian. (Closes: #666787)
    - Add manpages for all files and commands. (Closes: #524903)
  * Update Vcs-* URLs.
  * Rebuild all translations.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Add Build-Depends on xsltproc, docbook-xsl and docbook-xml. Required to
    build the documentation.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Jun 2013 08:21:06 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: xdg-user-dirs
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Iain Lane <laney@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               gnome-pkg-tools,
               xsltproc,
               docbook-xsl,
               docbook-xml
Standards-Version: 3.9.4
Homepage: http://www.freedesktop.org/wiki/Software/xdg-user-dirs
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/xdg-user-dirs/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/xdg-user-dirs/

Package: xdg-user-dirs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: tool to manage well known user directories
 xdg-user-dirs is a tool to help manage "well known" user directories
 like the desktop folder and the music folder. It also handles
 localization (i.e. translation) of the filenames.
 .
 The way it works is that xdg-user-dirs-update is run very early in the
 login phase. This program reads a configuration file, and a set of
 default directories. It then creates localized versions of these
 directories in the users home directory and sets up a config file in
 $(XDG_CONFIG_HOME)/user-dirs.dirs (XDG_CONFIG_HOME defaults to
 ~/.config) that applications can read to find these directories.

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,16 @@
 
 LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
+export NO_PKG_MANGLE=1
+
 binary-post-install/xdg-user-dirs::
 	mkdir -p debian/xdg-user-dirs/etc/X11/Xsession.d
 	cp debian/xdg-user-dirs-Xsession \
 		debian/xdg-user-dirs/etc/X11/Xsession.d/60xdg-user-dirs-update
 
 build/xdg-user-dirs::
-	msgfmt -c -o po/ca.gmo po/ca.po
+	cd po; intltool-update --pot
+	make -C po update-gmo
 
 clean::
-	rm -f po/ca.gmo
+	rm -f po/*.gmo

=== debian/watch ===
version=3
http://user-dirs.freedesktop.org/releases/xdg-user-dirs-([\d\.]+).tar.gz debian uupdate

## xdg-user-dirs 0.17

=== debian/changelog ===
xdg-user-dirs (0.17-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Add -Wl,-O1 -Wl,-z,defs -Wl,--as-needed to our LDFLAGS
  * Enable all hardening flags
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 19:48:38 -0500

xdg-user-dirs (0.17-1) unstable; urgency=medium

  * New upstream release (LP: #1754356)
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 16 Mar 2018 16:21:50 -0400

xdg-user-dirs (0.16-1) unstable; urgency=medium

  * New upstream release
  * Drop 01_add-autostart-file.patch: Applied in new release
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 17:39:43 -0500

xdg-user-dirs (0.15-3) unstable; urgency=medium

  * add-autostart-file.patch: Add autostart .desktop file to launch the user
    directory update in any session implementing the XDG autostart spec.
    This is required for proper Wayland support.
  * Remove Xsession.d launch file: We don't want to run twice in an X11 session.
  * Switch packaging to use minimal dh style, compat level 10
  * Update for standards version 4.0.0
    - We now run autoreconf by default
  * Resolve a typo in d/copyright

 -- Matthias Klumpp <mak@debian.org>  Fri, 18 Aug 2017 20:04:48 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: xdg-user-dirs
Section: utils
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper-compat (= 12),
               docbook-xml,
               docbook-xsl,
               gnome-pkg-tools (>= 0.19.8),
               xsltproc
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-user-dirs
Vcs-Git: https://salsa.debian.org/gnome-team/xdg-user-dirs.git
Homepage: http://www.freedesktop.org/wiki/Software/xdg-user-dirs

Package: xdg-user-dirs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: tool to manage well known user directories
 xdg-user-dirs is a tool to help manage "well known" user directories
 like the desktop folder and the music folder. It also handles
 localization (i.e. translation) of the filenames.
 .
 The way it works is that xdg-user-dirs-update is run very early in the
 login phase. This program reads a configuration file, and a set of
 default directories. It then creates localized versions of these
 directories in the users home directory and sets up a config file in
 $(XDG_CONFIG_HOME)/user-dirs.dirs (XDG_CONFIG_HOME defaults to
 ~/.config) that applications can read to find these directories.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf
	cp /usr/share/automake-*/mkinstalldirs .

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C po update-gmo

override_dh_clean:
	rm -f po/*.gmo
	dh_clean

## xdg-user-dirs 0.18

=== debian/changelog ===
xdg-user-dirs (0.18-1) unstable; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Jeremy Bicha ]
  * Update upstream metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Sep 2022 10:37:43 -0400

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Iain Lane <laney@debian.org>, Jordi Mallach <jordi@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Build-Depends: debhelper-compat (= 13),
                docbook-xml,
                docbook-xsl,
                gnome-pkg-tools (>= 0.19.8),
                xsltproc
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-user-dirs
 Vcs-Git: https://salsa.debian.org/gnome-team/xdg-user-dirs.git
-Homepage: http://www.freedesktop.org/wiki/Software/xdg-user-dirs
+Homepage: https://www.freedesktop.org/wiki/Software/xdg-user-dirs
 
 Package: xdg-user-dirs
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@ --with gnome

=== debian/watch ===
version=4
https://user-dirs.freedesktop.org/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## xdg-user-dirs 0.19

=== debian/changelog ===
xdg-user-dirs (0.19-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Remove remaining patches: applied in new release
  * debian/watch: Convert to Version: 5
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Sep 2025 21:05:33 -0400

xdg-user-dirs (0.18-3) unstable; urgency=medium

  * d/p: Use systemd to user session to start xdg-user-dirs-update
    (LP: #2121438)
  * debian/control: Build depend on pkgconf and systemd-dev.
    Needed to pick the systemd paths

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Aug 2025 01:08:20 +0200

xdg-user-dirs (0.18-2) unstable; urgency=medium

  * Stop using debian/control.in and dh_gnome_clean
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 15:55:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: xdg-user-dirs
 Section: utils
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jordi Mallach <jordi@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
                docbook-xml,
                docbook-xsl,
-               gnome-pkg-tools (>= 0.19.8),
+               meson,
+               pkgconf,
+               systemd-dev,
                xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/xdg-user-dirs
 Vcs-Git: https://salsa.debian.org/gnome-team/xdg-user-dirs.git
 Homepage: https://www.freedesktop.org/wiki/Software/xdg-user-dirs

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_gnome_clean:

=== debian/watch ===
Version: 5
Source: https://user-dirs.freedesktop.org/releases/
